Get a match chat message

Returns one chat message of the match if the installation can see it. The `ETag` header carries the message revision; send it as `If-Match` to delete the message or to change reactions.

GET/api/v2/matches/{matchId}/chat/messages/{messageId}

Parameters #

PropertyTypeLocationDescription
matchIdstringRequiredpath-
messageIdstringRequiredpath-
x-request-idstringheader-
strave-installation-idstringheader-

Request #

curl --request GET 'https://strave.gg/api/v2/matches/MATCH_ID/chat/messages/MESSAGE_ID' \
  --header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'

Response #

200Response for status 200
application/json
400Response for status 400
application/json
401Response for status 401
application/json
403Response for status 403
application/json
404Response for status 404
application/json
409Response for status 409
application/json
412Response for status 412
application/json
428Response for status 428
application/json
429Response for status 429
application/json
500Response for status 500
application/json
503Response for status 503
application/json
PropertyTypeDescription
dataobjectRequired-
└idstringRequired-
└matchIdstringRequired-
└actorobject | object | object | objectRequired-
└typestringRequired-
└contentstring | nullRequired-
└replyToIdstring | nullRequired-
└senderSidestring | string | nullRequired-
└visibilitystring | string | stringRequired-
└reactionsobject[]Required-
└emojistringRequired-
└countintegerRequired-
└reactedByApplicationbooleanRequired-
└deletedbooleanRequired-
└createdAtstringRequired-
└updatedAtstringRequired-
└revisionintegerRequired-